MPPB(4)

NAME
mppb - Prometheus PCI bridge driver

SYNOPSIS
mppb* at zbus0
pci* at mppb?

DESCRIPTION
The mppb driver provides support for the PCI bus present on Prometheus Zorro III to PCI bridge card.

HARDWARE
The mppb driver supports the following hardware:

PROMETHEUS
    Matay Prometheus. Manufacturer 44359, product 1.

DIAGNOSTICS

Unable to allocate space in parent map. The kernel has run out of virtual memory space.

SEE ALSO
pci(4)

HISTORY
The mppb device first appeared in NetBSD 6.0.

AUTHORS
-nosplit The mppb driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>.

BUGS
The hardware does not support DMA to host memory.

The Prometheus does not support repeating of PCI transations, instead if the PCI card demands a retry of transaction, it returns value 0xFFFFFFFF. This is currently not handled by the mppb driver and will confuse some PCI card drivers.

The system may run out of kernel virtual memory space if Prometheus is present. This is due to fact that m68k-specific pmap(9) code places User Page Table base address at statically defined address 0x10000000, which does not leave enough kernel space to fit a 512MB board, such as the Prometheus. It is possible to work around this problem, by moving User Page Table base to higher address.